-- (c) 2007 Nymbia.  see GPLv2.txt for full details.
local L = AceLibrary("AceLocale-2.2"):new("GrindStatusOutlandNeutral")

L:RegisterTranslations("enUS", function() return {
	["Ashtongue Deathsworn"] = true,
	
	["Cenarion Expedition"] = true,
	
	["Keepers of Time"] = true,
	
	["Sporeggar"] = true,
	["Now That We're Still Friends..."] = true,
	["Now That We're Friends..."] = true,
	
	["The Consortium"] = true,
	
	["The Scale of the Sands"] = true,
	
	["The Violet Eye"] = true,
	
	["Netherwing"] = true,
} end)
L:RegisterTranslations("frFR", function() return {
	["Ashtongue Deathsworn"] = "Ashtongue Deathsworn", -- To localize !
	
	["Cenarion Expedition"] = "Exp\195\169dition c\195\169narienne",
	
	["Keepers of Time"] = "Gardiens du Temps",
	
	["Sporeggar"] = "Sporeggar",
	["Now That We're Still Friends..."] = "Puisque nous somme toujours entre amis...",
	["Now That We're Friends..."] = "Puisque nous somme entre amis...",
	
	["The Consortium"] = "Le Consortium",
	
	["The Scale of the Sands"] = "La Balance des sables",
	
	["The Violet Eye"] = "L'Oeil pourpre",
	
	["Netherwing"] = "Netherwing",-- To localize !
} end)
L:RegisterTranslations("deDE", function() return {
	["Ashtongue Deathsworn"] = "Todesh\195\182riger der Aschenzungen",	
	["Cenarion Expedition"] = "Expedition des Cenarius",
	["Keepers of Time"] = "H\195\188ter der Zeit",
	["Sporeggar"] = "Sporeggar",
	["Now That We're Still Friends..."] = "Jetzt da wir immer noch Freunde sind...",
	["Now That We're Friends..."] = "Jetzt da wir Freunde sind...",
	["The Consortium"] = "Das Konsortium",
	["The Scale of the Sands"] = "Die W\195\164chter der Sande",
	["The Violet Eye"] = "Das Violette Auge",
	["Netherwing"] = "Netherschwingen",
} end)

local catorder = 10

GrindStatusAshtongue = GrindStatus:NewModule("Ashtongue")

function GrindStatusAshtongue:OnInitialize()
	GrindStatus:InitPlugin(L["Ashtongue Deathsworn"], "Ashtongue", catorder)
end
function GrindStatusAshtongue:OnEnable()
	GrindStatus.ToTrack[L["Ashtongue Deathsworn"]] = {
		["english"] = "Ashtongue Deathsworn",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
		--no idea.
	}
end
function GrindStatusAshtongue:OnDisable()
	GrindStatus.ToTrack[L["Ashtongue Deathsworn"]] = nil
end

GrindStatusCenarionExpedition = GrindStatus:NewModule("CenarionExpedition")

function GrindStatusCenarionExpedition:OnInitialize()
	GrindStatus:InitPlugin(L["Cenarion Expedition"], "CenarionExpedition", catorder)
end
function GrindStatusCenarionExpedition:OnEnable()
	GrindStatus.ToTrack[L["Cenarion Expedition"]] = {
		["english"] = "Cenarion Expedition",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 2,
		["item1"] = 24401,
		["item1step"] = 25,
		["item1stop"] = 9000,
		["item2"] = 24368,
		["item2step"] = 75,
	}
end
function GrindStatusCenarionExpedition:OnDisable()
	GrindStatus.ToTrack[L["Cenarion Expedition"]] = nil
end

GrindStatusKeepersOfTime = GrindStatus:NewModule("KeepersOfTime")

function GrindStatusKeepersOfTime:OnInitialize()
	GrindStatus:InitPlugin(L["Keepers of Time"], "KeepersOfTime", catorder)
end
function GrindStatusKeepersOfTime:OnEnable()
	GrindStatus.ToTrack[L["Keepers of Time"]] = {
		["english"] = "Keepers of Time",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
		--no repeatables that i see thus far
	}
end
function GrindStatusKeepersOfTime:OnDisable()
	GrindStatus.ToTrack[L["Keepers of Time"]] = nil
end

GrindStatusSporeggar = GrindStatus:NewModule("Sporeggar")

function GrindStatusSporeggar:OnInitialize()
	GrindStatus:InitPlugin(L["Sporeggar"], "Sporeggar", catorder)
end
function GrindStatusSporeggar:OnEnable()
	GrindStatus.ToTrack[L["Sporeggar"]] = {
		["english"] = "Sporeggar",
		["startrepvalue"] = -3000,
		["endrepvalue"] = 21000,
		["quests"] = 2,
		["quest1"] = L["Now That We're Still Friends..."],
		["quest1step"] = 750,
		["quest1stop"] = 8999,
		["quest2"] = L["Now That We're Friends..."],
		["quest2step"] = 750,
		["quest2stop"] = 8999,
		["items"] = 2,
		["item1"] = 24291,
		["item1step"] = (750/6),
		["item1stop"] = -1,
		["item2"] = 24245,
		["item2step"] = 75,
		["item2stop"] = 2999,
	}
end
function GrindStatusSporeggar:OnDisable()
	GrindStatus.ToTrack[L["Sporeggar"]] = nil
end

GrindStatusTheConsortium = GrindStatus:NewModule("TheConsortium")

function GrindStatusTheConsortium:OnInitialize()
	GrindStatus:InitPlugin(L["The Consortium"], "TheConsortium", catorder)
end
function GrindStatusTheConsortium:OnEnable()
	GrindStatus.ToTrack[L["The Consortium"]] = {
		["english"] = "The Consortium",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 3,
		["item1"] = 25416,
		["item1step"] = 25,
		["item1stop"] = 3000,
		["item2"] = 25463,
		["item2step"] = (250/3),
		["item2stop"] = 3000,
		["item3"] = 25433,
		["item3step"] = 25,
	}
end
function GrindStatusTheConsortium:OnDisable()
	GrindStatus.ToTrack[L["The Consortium"]] = nil
end

GrindStatusTheScaleOfTheSands = GrindStatus:NewModule("TheScaleOfTheSands")

function GrindStatusTheScaleOfTheSands:OnInitialize()
	GrindStatus:InitPlugin(L["The Scale of the Sands"], "TheScaleOfTheSands", catorder)
end
function GrindStatusTheScaleOfTheSands:OnEnable()
	GrindStatus.ToTrack[L["The Scale of the Sands"]] = {
		["english"] = "The Scale of the Sands",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
	}
end
function GrindStatusTheScaleOfTheSands:OnDisable()
	GrindStatus.ToTrack[L["The Scale of the Sands"]] = nil
end

GrindStatusTheVioletEye = GrindStatus:NewModule("TheVioletEye")

function GrindStatusTheVioletEye:OnInitialize()
	GrindStatus:InitPlugin(L["The Violet Eye"], "TheVioletEye", catorder)
end
function GrindStatusTheVioletEye:OnEnable()
	GrindStatus.ToTrack[L["The Violet Eye"]] = {
		["english"] = "The Violet Eye",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
	}
end
function GrindStatusTheVioletEye:OnDisable()
	GrindStatus.ToTrack[L["The Violet Eye"]] = nil
end

GrindStatusNetherwing = GrindStatus:NewModule("Netherwing")

function GrindStatusNetherwing:OnInitialize()
	GrindStatus:InitPlugin(L["Netherwing"], "Netherwing", catorder)
end
function GrindStatusNetherwing:OnEnable()
	GrindStatus.ToTrack[L["Netherwing"]] = {
		["english"] = "Netherwing",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
	}
end
function GrindStatusNetherwing:OnDisable()
	GrindStatus.ToTrack[L["Netherwing"]] = nil
end



